View Issue Details

IDProjectCategoryView StatusLast Update
0000878NoesisGUIUnity3Dpublic2020-03-09 19:08
ReporterkgunerAssigned Tojsantos 
PriorityhighSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Product Version1.2.6f2 
Target VersionFixed in Version3.0.0 
Summary0000878: DropShadows
DescriptionI would like to use Dropshadows but effects are not yet implemented.

Would it be possible to implement this?
TagsNo tags attached.
PlatformAny

Relationships

related to 0001526 resolvedjsantos Add Support for BlurEffect 

Activities

jsantos

jsantos

2016-05-02 21:25

manager   ~0003868

We have plans to implement this at some point in the 1.3 branch. For now you have to manually emulate it by rendering the same path displaced by the desired amount. Yes, I know it is not the same (you can't emulate the blurring for example) but it quite efficient for text for example.

Could you tell me more about where do you need to apply this effect?
kguner

kguner

2016-05-02 22:13

reporter   ~0003869

Yes it is for Text.

My game is a Movie Studio Tycoon type game.

In the game the users will make movies, and for each move a "Trailer" will be generated. There will be dynamically generated "Cut Scenes" overlayed with text (Movie Title & cast/crew names). Dropshadow is just one of the effects I would like to implement.

Here is an example:
http://i.giphy.com/l4HnSo5emSSUSQSVq.gifwpf
jsantos

jsantos

2016-05-06 19:12

manager   ~0003878

I see, so you need the blurring effect. I assume the hack used here

http://www.noesisengine.com/forums/viewtopic.php?f=12&t=485

won't work for you, right?
kguner

kguner

2016-05-06 22:04

reporter   ~0003879

Yes, I would need the blurring effect.

Issue History

Date Modified Username Field Change
2016-04-28 23:33 kguner New Issue
2016-05-02 21:16 jsantos Assigned To => jsantos
2016-05-02 21:16 jsantos Status new => assigned
2016-05-02 21:25 jsantos Note Added: 0003868
2016-05-02 21:25 jsantos Status assigned => feedback
2016-05-02 22:13 kguner Note Added: 0003869
2016-05-02 22:13 kguner Status feedback => assigned
2016-05-06 19:12 jsantos Note Added: 0003878
2016-05-06 19:12 jsantos Status assigned => feedback
2016-05-06 22:04 kguner Note Added: 0003879
2016-05-06 22:04 kguner Status feedback => assigned
2018-11-01 02:14 jsantos View Status public => private
2020-03-09 19:07 sfernandez Relationship added related to 0001526
2020-03-09 19:08 jsantos Fixed in Version => 3.0.0
2020-03-09 19:08 jsantos View Status private => public
2020-03-09 19:08 jsantos Platform => Any
2020-03-09 19:08 jsantos Status assigned => resolved
2020-03-09 19:08 jsantos Resolution open => fixed